<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title "#{t(:label_history)}: #{@meeting.title}" %>

<%= toolbar title: t(:"label_#{@content_type}"),
            link_to: link_to(@meeting, @meeting) %>

<h3><%= t(:label_history) %></h3>

<%= form_tag({:action => "diff"}, :method => :get) do %>
<div class="generic-table--container"
     data-application-target="dynamic"
     data-controller="journal-history">
  <div class="generic-table--results-container">
    <table class="generic-table">
      <colgroup>
        <col opHighlightCol>
        <col>
        <col>
        <col opHighlightCol>
        <col opHighlightCol>
        <col opHighlightCol>
      </colgroup>
      <thead>
        <tr>
          <th class="-short">
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span id="history-version">#</span>
                <label class="hidden-for-sighted" for="history-version"><%= t(:label_version) %></label>
              </div>
            </div>
          </th>
          <th class="-short">
            <div class="generic-table--empty-header"></div>
          </th>
          <th class="-short">
            <div class="generic-table--empty-header"></div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Meeting.human_attribute_name(:updated_at) %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Meeting.human_attribute_name(:author) %>
                </span>
              </div>
            </div>
          </th>
          <th>
            <div class="generic-table--sort-header-outer">
              <div class="generic-table--sort-header">
                <span>
                  <%= Meeting.human_attribute_name(:comments) %>
                </span>
              </div>
            </div>
          </th>
        </tr>
      </thead>
      <tbody>
        <% show_diff = @content_versions.size > 1 %>
        <% @content_versions.each_with_index do |content_version,index| %>
          <tr>
            <td class="id -short">
              <%= content_version.version == @content.last_journal.version ?
                    link_to(content_version.version, tab_meeting_path(@meeting, :tab => @content_type.sub(/^meeting_/, '')), id: "version-#{content_version.version}") :
                    link_to(content_version.version, send(:"#{@content_type}_version_path", @meeting, content_version.version), id: "version-#{content_version.version}") %>
            </td>
              <td class="checkbox -short">
                <% if show_diff && (index < @content_versions.size-1) %>
                  <%= radio_button_tag('version_from',
                                       content_version.version,
                                       (index==0),
                                       class: 'meetings--checkbox-version-to',
                                       data: {
                                         'journal-history-target': 'fromVersion',
                                         action: 'journal-history#selectToVersion'
                                       }) %>
                  <label class="hidden-for-sighted" for="checkbox-from-<%= index %>"><%= t(:description_compare_from) %> <%= index %></label>
                <% end %>
              </td>
              <td class="checkbox -short">
                <% if show_diff && (index > 0) %>
                  <%= radio_button_tag('version_to',
                                       content_version.version,
                                       (index==1),
                                       data: {
                                         'journal-history-target': 'toVersion',
                                         action: 'journal-history#selectFromVersion'
                                       }) %>
                  <label class="hidden-for-sighted" for="checkbox-to-<%= index %>"><%= t(:description_compare_to) %> <%= index %></label>
                <% end %>
              </td>
              <td id="test"><%= format_time(content_version.created_at) %></td>
              <td><em><%= User.find content_version.user_id %></em></td>
              <td><%=h content_version.notes %></td>
          </tr>
        <% end %>
      </tbody>
    </table>

  </div>
</div>
<%= styled_button_tag t(:label_view_diff), class: '-small -primary' if show_diff %>
<%= pagination_links_full @content_versions %>
<% end %>
